Index: /LMDZ5/branches/testing/libf/phylmd/interfoce_lim.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/interfoce_lim.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/interfoce_lim.F90	(revision 2408)
@@ -118,5 +118,5 @@
         IF (ierr.NE.NF_NOERR) THEN
            abort_message = 'Pb d''ouverture du fichier de conditions aux limites'
-           CALL abort_gcm(modname,abort_message,1)
+           CALL abort_physic(modname,abort_message,1)
         ENDIF
 
@@ -135,5 +135,5 @@
            IF (ierr /= NF_NOERR) THEN
               abort_message = 'Le champ <FOCE> est absent'
-              CALL abort_gcm(modname,abort_message,1)
+              CALL abort_physic(modname,abort_message,1)
            ENDIF
 #ifdef NC_DOUBLE
@@ -144,5 +144,5 @@
            IF (ierr /= NF_NOERR) THEN
               abort_message = 'Lecture echouee pour <FOCE>'
-              CALL abort_gcm(modname,abort_message,1)
+              CALL abort_physic(modname,abort_message,1)
            ENDIF
            !
@@ -152,5 +152,5 @@
            IF (ierr /= NF_NOERR) THEN
               abort_message = 'Le champ <FSIC> est absent'
-              CALL abort_gcm(modname,abort_message,1)
+              CALL abort_physic(modname,abort_message,1)
            ENDIF
 #ifdef NC_DOUBLE
@@ -161,5 +161,5 @@
            IF (ierr /= NF_NOERR) THEN
               abort_message = 'Lecture echouee pour <FSIC>'
-              CALL abort_gcm(modname,abort_message,1)
+              CALL abort_physic(modname,abort_message,1)
            ENDIF
            !
@@ -169,5 +169,5 @@
            IF (ierr /= NF_NOERR) THEN
               abort_message = 'Le champ <FTER> est absent'
-              CALL abort_gcm(modname,abort_message,1)
+              CALL abort_physic(modname,abort_message,1)
            ENDIF
 #ifdef NC_DOUBLE
@@ -178,5 +178,5 @@
            IF (ierr /= NF_NOERR) THEN
               abort_message = 'Lecture echouee pour <FTER>'
-              CALL abort_gcm(modname,abort_message,1)
+              CALL abort_physic(modname,abort_message,1)
            ENDIF
            !
@@ -186,5 +186,5 @@
            IF (ierr /= NF_NOERR) THEN
               abort_message = 'Le champ <FLIC> est absent'
-              CALL abort_gcm(modname,abort_message,1)
+              CALL abort_physic(modname,abort_message,1)
            ENDIF
 #ifdef NC_DOUBLE
@@ -195,5 +195,5 @@
            IF (ierr /= NF_NOERR) THEN
               abort_message = 'Lecture echouee pour <FLIC>'
-              CALL abort_gcm(modname,abort_message,1)
+              CALL abort_physic(modname,abort_message,1)
            ENDIF
            !
@@ -203,5 +203,5 @@
            IF (ierr /= NF_NOERR) THEN
               abort_message = 'Le champ <NAT> est absent'
-              CALL abort_gcm(modname,abort_message,1)
+              CALL abort_physic(modname,abort_message,1)
            ENDIF
 #ifdef NC_DOUBLE
@@ -212,5 +212,5 @@
            IF (ierr /= NF_NOERR) THEN
               abort_message = 'Lecture echouee pour <NAT>'
-              CALL abort_gcm(modname,abort_message,1)
+              CALL abort_physic(modname,abort_message,1)
            ENDIF
 !
@@ -237,5 +237,5 @@
         IF (ierr /= NF_NOERR) THEN
            abort_message = 'Le champ <SST> est absent'
-           CALL abort_gcm(modname,abort_message,1)
+           CALL abort_physic(modname,abort_message,1)
         ENDIF
 #ifdef NC_DOUBLE
@@ -246,5 +246,5 @@
         IF (ierr /= NF_NOERR) THEN
            abort_message = 'Lecture echouee pour <SST>'
-           CALL abort_gcm(modname,abort_message,1)
+           CALL abort_physic(modname,abort_message,1)
         ENDIF
           
Index: /LMDZ5/branches/testing/libf/phylmd/iophy.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/iophy.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/iophy.F90	(revision 2408)
@@ -46,4 +46,5 @@
                                 is_sequential, is_south_pole
   USE mod_grid_phy_lmdz, only: nbp_lon, nbp_lat, klon_glo
+  USE print_control_mod, ONLY: prt_level,lunout 
 #ifdef CPP_IOIPSL
   USE ioipsl, only: flio_dom_set
@@ -53,6 +54,4 @@
 #endif
   IMPLICIT NONE
-  INCLUDE 'dimensions.h'
-  include 'iniprint.h'
     REAL,DIMENSION(klon),INTENT(IN) :: rlon
     REAL,DIMENSION(klon),INTENT(IN) :: rlat
@@ -77,15 +76,22 @@
     
 !$OMP MASTER  
-    ALLOCATE(io_lat(jjm+1-1/(iim*jjm)))
-    io_lat(1)=rlat_glo(1)
-    io_lat(jjm+1-1/(iim*jjm))=rlat_glo(klon_glo)
-    IF ((iim*jjm) > 1) then
-      DO i=2,jjm
-        io_lat(i)=rlat_glo(2+(i-2)*iim)
+    ALLOCATE(io_lat(nbp_lat))
+    IF (klon_glo == 1) THEN
+      io_lat(1)=rlat_glo(1)
+    ELSE
+      io_lat(1)=rlat_glo(1)
+      io_lat(nbp_lat)=rlat_glo(klon_glo)
+      DO i=2,nbp_lat-1
+        io_lat(i)=rlat_glo(2+(i-2)*nbp_lon)
       ENDDO
     ENDIF
 
-    ALLOCATE(io_lon(iim))
-    io_lon(:)=rlon_glo(2-1/(iim*jjm):iim+1-1/(iim*jjm))
+    ALLOCATE(io_lon(nbp_lon))
+    IF (klon_glo == 1) THEN
+      io_lon(1)=rlon_glo(1)
+    ELSE 
+      io_lon(1:nbp_lon)=rlon_glo(2:nbp_lon+1)
+    ENDIF
+
 !! (I) dtnb   : total number of domains
 !! (I) dnb    : domain number
@@ -104,13 +110,13 @@
 
     ddid=(/ 1,2 /)
-    dsg=(/ iim, jjm+1-1/(iim*jjm) /)
-    dsl=(/ iim, jj_nb /)
+    dsg=(/ nbp_lon, nbp_lat /)
+    dsl=(/ nbp_lon, jj_nb /)
     dpf=(/ 1,jj_begin /)
-    dpl=(/ iim, jj_end /)
+    dpl=(/ nbp_lon, jj_end /)
     dhs=(/ ii_begin-1,0 /)
     IF (mpi_rank==mpi_size-1) THEN
       dhe=(/0,0/)
     ELSE
-      dhe=(/ iim-ii_end,0 /)  
+      dhe=(/ nbp_lon-ii_end,0 /)  
     ENDIF
 
@@ -155,8 +161,8 @@
                                 mpi_size, mpi_rank 
   USE ioipsl, only: flio_dom_set
+  USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat
   IMPLICIT NONE
-  INCLUDE 'dimensions.h'   
-    REAL,DIMENSION(iim),INTENT(IN) :: lon
-    REAL,DIMENSION(jjm+1-1/(iim*jjm)),INTENT(IN) :: lat
+    REAL,DIMENSION(nbp_lon),INTENT(IN) :: lon
+    REAL,DIMENSION(nbp_lat),INTENT(IN) :: lat
 
     INTEGER,DIMENSION(2) :: ddid
@@ -169,19 +175,19 @@
 
 !$OMP MASTER  
-    allocate(io_lat(jjm+1-1/(iim*jjm)))
+    allocate(io_lat(nbp_lat))
     io_lat(:)=lat(:)
-    allocate(io_lon(iim))
+    allocate(io_lon(nbp_lon))
     io_lon(:)=lon(:)
    
     ddid=(/ 1,2 /)
-    dsg=(/ iim, jjm+1-1/(iim*jjm) /)
-    dsl=(/ iim, jj_nb /)
+    dsg=(/ nbp_lon, nbp_lat /)
+    dsl=(/ nbp_lon, jj_nb /)
     dpf=(/ 1,jj_begin /)
-    dpl=(/ iim, jj_end /)
+    dpl=(/ nbp_lon, jj_end /)
     dhs=(/ ii_begin-1,0 /)
     if (mpi_rank==mpi_size-1) then
       dhe=(/0,0/)
     else
-      dhe=(/ iim-ii_end,0 /)  
+      dhe=(/ nbp_lon-ii_end,0 /)  
     endif
     
@@ -198,4 +204,5 @@
   USE mod_phys_lmdz_para, only: is_sequential, is_using_mpi, is_mpi_root, &
                                 jj_begin, jj_end, jj_nb
+  USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat
   use ioipsl, only: histbeg
 #ifdef CPP_XIOS
@@ -203,5 +210,4 @@
 #endif
   IMPLICIT NONE
-  include 'dimensions.h'
   include 'clesphys.h'
     
@@ -217,9 +223,9 @@
 !$OMP MASTER    
     if (is_sequential) then
-      call histbeg(name,iim,io_lon, jj_nb,io_lat(jj_begin:jj_end), &
-                   1,iim,1,jj_nb,itau0, zjulian, dtime, nhori, nid_day)
+      call histbeg(name,nbp_lon,io_lon, jj_nb,io_lat(jj_begin:jj_end), &
+                   1,nbp_lon,1,jj_nb,itau0, zjulian, dtime, nhori, nid_day)
     else
-      call histbeg(name,iim,io_lon, jj_nb,io_lat(jj_begin:jj_end), &
-                   1,iim,1,jj_nb,itau0, zjulian, dtime, nhori, nid_day,phys_domain_id)
+      call histbeg(name,nbp_lon,io_lon, jj_nb,io_lat(jj_begin:jj_end), &
+                   1,nbp_lon,1,jj_nb,itau0, zjulian, dtime, nhori, nid_day,phys_domain_id)
     endif
 
@@ -240,8 +246,8 @@
 
   USE mod_phys_lmdz_para, only: jj_begin, jj_end, jj_nb, is_sequential
+  USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat
   use ioipsl, only: histbeg
 
   IMPLICIT NONE
-  include 'dimensions.h'
     
     character*(*), INTENT(IN) :: name
@@ -255,9 +261,9 @@
 #ifndef CPP_IOIPSL_NO_OUTPUT 
     if (is_sequential) then
-      call histbeg(name,iim,io_lon, jj_nb,io_lat(jj_begin:jj_end), &
-                   1,iim,1,jj_nb,itau0, zjulian, dtime, nhori, nid_day)
+      call histbeg(name,nbp_lon,io_lon, jj_nb,io_lat(jj_begin:jj_end), &
+                   1,nbp_lon,1,jj_nb,itau0, zjulian, dtime, nhori, nid_day)
     else
-      call histbeg(name,iim,io_lon, jj_nb,io_lat(jj_begin:jj_end), &
-                   1,iim,1,jj_nb,itau0, zjulian, dtime, nhori, nid_day,phys_domain_id)
+      call histbeg(name,nbp_lon,io_lon, jj_nb,io_lat(jj_begin:jj_end), &
+                   1,nbp_lon,1,jj_nb,itau0, zjulian, dtime, nhori, nid_day,phys_domain_id)
     endif
 #endif
@@ -274,9 +280,8 @@
                                 is_sequential, klon_mpi_begin, klon_mpi_end, &
                                 mpi_rank
-  USE mod_grid_phy_lmdz, only: klon_glo
+  USE mod_grid_phy_lmdz, only: klon_glo, nbp_lon, nbp_lat
   use ioipsl, only: histbeg
 
   IMPLICIT NONE
-  include 'dimensions.h' 
 
     REAL,DIMENSION(klon),INTENT(IN) :: rlon
@@ -304,6 +309,5 @@
     REAL, allocatable, DIMENSION(:) :: npplat, npplon
     REAL, allocatable, DIMENSION(:,:) :: npplat_bounds, npplon_bounds
-    INTEGER, PARAMETER :: jjmp1=jjm+1-1/jjm
-    REAL, DIMENSION(iim,jjmp1) :: zx_lon, zx_lat
+    REAL, DIMENSION(nbp_lon,nbp_lat) :: zx_lon, zx_lat
 
     CALL gather(rlat,rlat_glo)
@@ -330,10 +334,10 @@
      endif
 !
-     IF ( tabij(i).LE.iim) THEN
+     IF ( tabij(i).LE.nbp_lon) THEN
       plat_bounds(i,1)=rlat_glo(tabij(i))
      ELSE
-      plat_bounds(i,1)=rlat_glo(tabij(i)-iim)
+      plat_bounds(i,1)=rlat_glo(tabij(i)-nbp_lon)
      ENDIF
-     plat_bounds(i,2)=rlat_glo(tabij(i)+iim)
+     plat_bounds(i,2)=rlat_glo(tabij(i)+nbp_lon)
 !
 !    print*,'CFMIP_iophy point i lon lon_bds',i,plon_bounds(i,1),rlon_glo(tabij(i)),plon_bounds(i,2) 
@@ -351,12 +355,12 @@
      ENDDO
 
-       CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlon_glo,zx_lon)
-       if ((iim*jjm).gt.1) then
-       DO i = 1, iim
+       CALL gr_fi_ecrit(1,klon,nbp_lon,nbp_lat,rlon_glo,zx_lon)
+       if ((nbp_lon*nbp_lat).gt.1) then
+       DO i = 1, nbp_lon
          zx_lon(i,1) = rlon_glo(i+1)
-         zx_lon(i,jjmp1) = rlon_glo(i+1)
+         zx_lon(i,nbp_lat) = rlon_glo(i+1)
        ENDDO
        endif
-       CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat_glo,zx_lat)
+       CALL gr_fi_ecrit(1,klon,nbp_lon,nbp_lat,rlat_glo,zx_lat)
 
     DO i=1,pim
@@ -367,9 +371,9 @@
 
      if (ipt(i).EQ.1) then
-      plon_bounds(i,1)=zx_lon(iim,jpt(i))
+      plon_bounds(i,1)=zx_lon(nbp_lon,jpt(i))
       plon_bounds(i,2)=360.+zx_lon(ipt(i)+1,jpt(i))
      endif
  
-     if (ipt(i).EQ.iim) then
+     if (ipt(i).EQ.nbp_lon) then
       plon_bounds(i,2)=360.+zx_lon(1,jpt(i))
      endif
@@ -383,7 +387,7 @@
      endif
  
-     if (jpt(i).EQ.jjmp1) then
-      plat_bounds(i,1)=zx_lat(ipt(i),jjmp1)+0.001
-      plat_bounds(i,2)=zx_lat(ipt(i),jjmp1)-0.001
+     if (jpt(i).EQ.nbp_lat) then
+      plat_bounds(i,1)=zx_lat(ipt(i),nbp_lat)+0.001
+      plat_bounds(i,2)=zx_lat(ipt(i),nbp_lat)-0.001
      endif
 !
@@ -451,8 +455,7 @@
     use phys_output_var_mod, only: type_ecri, zoutm, zdtime_moy, lev_files, &
                                    nid_files, nhorim, swaero_diag, nfiles
+    USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat
     IMPLICIT NONE
 
-    INCLUDE "dimensions.h"
-    INCLUDE "temps.h"
     INCLUDE "clesphys.h"
 
@@ -478,5 +481,5 @@
        IF ( flag_var(iff)<=lev_files(iff) ) THEN
           CALL histdef (nid_files(iff),nomvar,titrevar,unitvar, &
-               iim,jj_nb,nhorim(iff), 1,1,1, -99, 32, &
+               nbp_lon,jj_nb,nhorim(iff), 1,1,1, -99, 32, &
                type_ecri(iff), zstophym,zoutm(iff))                
        ENDIF
@@ -507,9 +510,7 @@
                                    nhorim, zdtime_moy, levmin, levmax, &
                                    nvertm, nfiles
+    USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat
     IMPLICIT NONE
 
-    INCLUDE "dimensions.h"
-    INCLUDE "temps.h"
-!    INCLUDE "indicesol.h"
     INCLUDE "clesphys.h"
 
@@ -535,5 +536,5 @@
        IF ( flag_var(iff)<=lev_files(iff) ) THEN
           CALL histdef (nid_files(iff), nomvar, titrevar, unitvar, &
-               iim, jj_nb, nhorim(iff), klev, levmin(iff), &
+               nbp_lon, jj_nb, nhorim(iff), klev, levmin(iff), &
                levmax(iff)-levmin(iff)+1, nvertm(iff), 32, type_ecri(iff), &
                zstophym, zoutm(iff))
@@ -563,4 +564,6 @@
                                    clef_stations, phys_out_filenames, lev_files, &
                                    nid_files, nhorim, swaero_diag
+    USE print_control_mod, ONLY: prt_level,lunout 
+    USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat
 #ifdef CPP_XIOS
     use wxios, only: wxios_add_field_to_file
@@ -568,8 +571,5 @@
     IMPLICIT NONE
 
-    INCLUDE "dimensions.h"
-    INCLUDE "temps.h"
     INCLUDE "clesphys.h"
-    INCLUDE "iniprint.h"
 
     INTEGER                          :: iff
@@ -621,5 +621,5 @@
        IF ( var%flag(iff)<=lev_files(iff) ) THEN
           CALL histdef (nid_files(iff), var%name, var%description, var%unit, &
-               iim,jj_nb,nhorim(iff), 1,1,1, -99, 32, &
+               nbp_lon,jj_nb,nhorim(iff), 1,1,1, -99, 32, &
                typeecrit, zstophym,zoutm(iff))                
        ENDIF
@@ -650,4 +650,6 @@
                                    nid_files, nhorim, swaero_diag, levmin, &
                                    levmax, nvertm
+    USE print_control_mod, ONLY: prt_level,lunout
+    USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat
 #ifdef CPP_XIOS
     use wxios, only: wxios_add_field_to_file
@@ -655,8 +657,5 @@
     IMPLICIT NONE
 
-    INCLUDE "dimensions.h"
-    INCLUDE "temps.h"
     INCLUDE "clesphys.h"
-    INCLUDE "iniprint.h"
 
     INTEGER                          :: iff
@@ -708,5 +707,5 @@
        IF ( var%flag(iff)<=lev_files(iff) ) THEN
           CALL histdef (nid_files(iff), var%name, var%description, var%unit, &
-               iim, jj_nb, nhorim(iff), klev, levmin(iff), &
+               nbp_lon, jj_nb, nhorim(iff), klev, levmin(iff), &
                levmax(iff)-levmin(iff)+1, nvertm(iff), 32, typeecrit, &
                zstophym, zoutm(iff))
@@ -728,7 +727,6 @@
     use ioipsl, only: getin
     use phys_output_var_mod, only: nfiles
+    USE print_control_mod, ONLY: prt_level,lunout
     IMPLICIT NONE
-
-    include 'iniprint.h'
 
     CHARACTER(LEN=20)                :: nam_var
@@ -750,7 +748,7 @@
                                 jj_nb, klon_mpi
   USE ioipsl, only: histwrite
+  USE print_control_mod, ONLY: prt_level,lunout
+  USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat
   IMPLICIT NONE
-  include 'dimensions.h'
-  include 'iniprint.h'
     
     integer,INTENT(IN) :: nid
@@ -761,5 +759,5 @@
     REAL,DIMENSION(klon_mpi) :: buffer_omp
     INTEGER, allocatable, DIMENSION(:) :: index2d
-    REAL :: Field2d(iim,jj_nb)
+    REAL :: Field2d(nbp_lon,jj_nb)
 
     integer :: ip
@@ -767,5 +765,5 @@
 
 
-    IF (size(field)/=klon) CALL abort_gcm('iophy::histwrite2d','Field first DIMENSION not equal to klon',1)
+    IF (size(field)/=klon) CALL abort_physic('iophy::histwrite2d','Field first DIMENSION not equal to klon',1)
     
     CALL Gather_omp(field,buffer_omp)    
@@ -773,8 +771,8 @@
     CALL grid1Dto2D_mpi(buffer_omp,Field2d)
     if(.NOT.lpoint) THEN
-     ALLOCATE(index2d(iim*jj_nb))
-     ALLOCATE(fieldok(iim*jj_nb))
+     ALLOCATE(index2d(nbp_lon*jj_nb))
+     ALLOCATE(fieldok(nbp_lon*jj_nb))
      IF (prt_level >= 10) write(lunout,*)'Sending ',name,' to IOIPSL'
-     CALL histwrite(nid,name,itau,Field2d,iim*jj_nb,index2d)
+     CALL histwrite(nid,name,itau,Field2d,nbp_lon*jj_nb,index2d)
      IF (prt_level >= 10) write(lunout,*)'Finished sending ',name,' to IOIPSL'
     else
@@ -814,8 +812,8 @@
                                 is_sequential, klon_mpi_begin, klon_mpi_end, &
                                 jj_nb, klon_mpi
+  USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat
   use ioipsl, only: histwrite
+  USE print_control_mod, ONLY: prt_level,lunout
   IMPLICIT NONE
-  include 'dimensions.h'
-  include 'iniprint.h'
     
     integer,INTENT(IN) :: nid
@@ -825,5 +823,5 @@
     REAL,DIMENSION(:,:),INTENT(IN) :: field  ! --> field(klon,:)
     REAL,DIMENSION(klon_mpi,size(field,2)) :: buffer_omp
-    REAL :: Field3d(iim,jj_nb,size(field,2))
+    REAL :: Field3d(nbp_lon,jj_nb,size(field,2))
     INTEGER :: ip, n, nlev
     INTEGER, ALLOCATABLE, DIMENSION(:) :: index3d
@@ -831,5 +829,5 @@
 
 
-    IF (size(field,1)/=klon) CALL abort_gcm('iophy::histwrite3d','Field first DIMENSION not equal to klon',1)
+    IF (size(field,1)/=klon) CALL abort_physic('iophy::histwrite3d','Field first DIMENSION not equal to klon',1)
     nlev=size(field,2)
 
@@ -838,8 +836,8 @@
     CALL grid1Dto2D_mpi(buffer_omp,field3d)
     if(.NOT.lpoint) THEN
-     ALLOCATE(index3d(iim*jj_nb*nlev))
-     ALLOCATE(fieldok(iim*jj_nb,nlev))
+     ALLOCATE(index3d(nbp_lon*jj_nb*nlev))
+     ALLOCATE(fieldok(nbp_lon*jj_nb,nlev))
      IF (prt_level >= 10) write(lunout,*)'Sending ',name,' to IOIPSL'
-     CALL histwrite(nid,name,itau,Field3d,iim*jj_nb*nlev,index3d)
+     CALL histwrite(nid,name,itau,Field3d,nbp_lon*jj_nb*nlev,index3d)
      IF (prt_level >= 10) write(lunout,*)'Finished sending ',name,' to IOIPSL'
    else
@@ -889,4 +887,6 @@
                                  nfiles, vars_defined, clef_stations, &
                                  nid_files
+  USE print_control_mod, ONLY: prt_level,lunout
+  USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat
 #ifdef CPP_XIOS
   USE xios, only: xios_send_field
@@ -895,6 +895,4 @@
 
   IMPLICIT NONE
-  INCLUDE 'dimensions.h'
-  INCLUDE 'iniprint.h'
   include 'clesphys.h'
 
@@ -909,5 +907,5 @@
     REAL,DIMENSION(klon_mpi) :: buffer_omp
     INTEGER, allocatable, DIMENSION(:) :: index2d
-    REAL :: Field2d(iim,jj_nb)
+    REAL :: Field2d(nbp_lon,jj_nb)
 
     INTEGER :: ip
@@ -945,5 +943,5 @@
 
     !Et sinon on.... écrit
-    IF (SIZE(field)/=klon) CALL abort_gcm('iophy::histwrite2d_phy','Field first DIMENSION not equal to klon',1)
+    IF (SIZE(field)/=klon) CALL abort_physic('iophy::histwrite2d_phy','Field first DIMENSION not equal to klon',1)
     
     if (prt_level >= 10) then
@@ -971,5 +969,5 @@
           endif
 #else
-        CALL abort_gcm ('iophy','cannot have ok_all_xml = .T. without CPP_XIOS defined' ,1)
+        CALL abort_physic ('iophy','cannot have ok_all_xml = .T. without CPP_XIOS defined' ,1)
 #endif
       ELSE  
@@ -990,8 +988,8 @@
 
                   IF(.NOT.clef_stations(iff)) THEN
-                        ALLOCATE(index2d(iim*jj_nb))
-                        ALLOCATE(fieldok(iim*jj_nb))
+                        ALLOCATE(index2d(nbp_lon*jj_nb))
+                        ALLOCATE(fieldok(nbp_lon*jj_nb))
 #ifndef CPP_IOIPSL_NO_OUTPUT 
-                        CALL histwrite(nid_files(iff),var%name,itau_iophy,Field2d,iim*jj_nb,index2d)
+                        CALL histwrite(nid_files(iff),var%name,itau_iophy,Field2d,nbp_lon*jj_nb,index2d)
 #endif
 !#ifdef CPP_XIOS
@@ -1049,12 +1047,11 @@
                                  nfiles, vars_defined, clef_stations, &
                                  nid_files
+  USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat
 #ifdef CPP_XIOS
   USE xios, only: xios_send_field
 #endif
-
+  USE print_control_mod, ONLY: prt_level,lunout
 
   IMPLICIT NONE
-  INCLUDE 'dimensions.h'
-  INCLUDE 'iniprint.h'
   include 'clesphys.h'
 
@@ -1067,5 +1064,5 @@
 !$OMP THREADPRIVATE(firstx)
     REAL,DIMENSION(klon_mpi,SIZE(field,2)) :: buffer_omp
-    REAL :: Field3d(iim,jj_nb,SIZE(field,2))
+    REAL :: Field3d(nbp_lon,jj_nb,SIZE(field,2))
     INTEGER :: ip, n, nlev, nlevx
     INTEGER, ALLOCATABLE, DIMENSION(:) :: index3d
@@ -1095,5 +1092,5 @@
   ELSE
     !Et sinon on.... écrit
-    IF (SIZE(field,1)/=klon) CALL abort_gcm('iophy::histwrite3d','Field first DIMENSION not equal to klon',1)
+    IF (SIZE(field,1)/=klon) CALL abort_physic('iophy::histwrite3d','Field first DIMENSION not equal to klon',1)
     nlev=SIZE(field,2)
     if (nlev.eq.klev+1) then
@@ -1119,5 +1116,5 @@
           CALL xios_send_field(var%name, Field3d(:,:,1:nlevx))
 #else
-        CALL abort_gcm ('iophy','cannot have ok_all_xml = .T. without CPP_XIOS defined' ,1)
+        CALL abort_physic ('iophy','cannot have ok_all_xml = .T. without CPP_XIOS defined' ,1)
 #endif
       ELSE  
@@ -1133,5 +1130,5 @@
                   write(lunout,*)'histwrite3d_phy: call xios_send_field for ', &
                                   trim(var%name), ' with iim jjm nlevx = ', &
-                                  iim,jj_nb,nlevx
+                                  nbp_lon,jj_nb,nlevx
                 endif
                 CALL xios_send_field(var%name, Field3d(:,:,1:nlevx))
@@ -1140,9 +1137,9 @@
 #endif
                 IF (.NOT.clef_stations(iff)) THEN
-                        ALLOCATE(index3d(iim*jj_nb*nlev))
-                        ALLOCATE(fieldok(iim*jj_nb,nlev))
+                        ALLOCATE(index3d(nbp_lon*jj_nb*nlev))
+                        ALLOCATE(fieldok(nbp_lon*jj_nb,nlev))
 
 #ifndef CPP_IOIPSL_NO_OUTPUT 
-                        CALL histwrite(nid_files(iff),var%name,itau_iophy,Field3d,iim*jj_nb*nlev,index3d)
+                        CALL histwrite(nid_files(iff),var%name,itau_iophy,Field3d,nbp_lon*jj_nb*nlev,index3d)
 #endif
 
@@ -1196,10 +1193,9 @@
                                 is_sequential, klon_mpi_begin, klon_mpi_end, &
                                 jj_nb, klon_mpi
+  USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat
   USE xios, only: xios_send_field
-
+  USE print_control_mod, ONLY: prt_level,lunout
 
   IMPLICIT NONE
-  INCLUDE 'dimensions.h'
-  INCLUDE 'iniprint.h'
 
     CHARACTER(LEN=*), INTENT(IN) :: field_name
@@ -1208,5 +1204,5 @@
     REAL,DIMENSION(klon_mpi) :: buffer_omp
     INTEGER, allocatable, DIMENSION(:) :: index2d
-    REAL :: Field2d(iim,jj_nb)
+    REAL :: Field2d(nbp_lon,jj_nb)
 
     INTEGER :: ip
@@ -1216,5 +1212,5 @@
 
     !Et sinon on.... écrit
-    IF (SIZE(field)/=klon) CALL abort_gcm('iophy::histwrite2d_xios','Field first DIMENSION not equal to klon',1)
+    IF (SIZE(field)/=klon) CALL abort_physic('iophy::histwrite2d_xios','Field first DIMENSION not equal to klon',1)
     
     CALL Gather_omp(field,buffer_omp)    
@@ -1227,6 +1223,6 @@
     !IF(.NOT.clef_stations(iff)) THEN
     IF (.TRUE.) THEN
-        ALLOCATE(index2d(iim*jj_nb))
-        ALLOCATE(fieldok(iim*jj_nb))
+        ALLOCATE(index2d(nbp_lon*jj_nb))
+        ALLOCATE(fieldok(nbp_lon*jj_nb))
 
 
@@ -1268,9 +1264,8 @@
                                 jj_nb, klon_mpi
   USE xios, only: xios_send_field
-
+  USE mod_grid_phy_lmdz, ONLY : nbp_lon, nbp_lat
+  USE print_control_mod, ONLY: prt_level,lunout
 
   IMPLICIT NONE
-  INCLUDE 'dimensions.h'
-  INCLUDE 'iniprint.h'
 
     CHARACTER(LEN=*), INTENT(IN) :: field_name
@@ -1278,5 +1273,5 @@
 
     REAL,DIMENSION(klon_mpi,SIZE(field,2)) :: buffer_omp
-    REAL :: Field3d(iim,jj_nb,SIZE(field,2))
+    REAL :: Field3d(nbp_lon,jj_nb,SIZE(field,2))
     INTEGER :: ip, n, nlev
     INTEGER, ALLOCATABLE, DIMENSION(:) :: index3d
@@ -1286,5 +1281,5 @@
 
     !Et on.... écrit
-    IF (SIZE(field,1)/=klon) CALL abort_gcm('iophy::histwrite3d','Field first DIMENSION not equal to klon',1)
+    IF (SIZE(field,1)/=klon) CALL abort_physic('iophy::histwrite3d','Field first DIMENSION not equal to klon',1)
     nlev=SIZE(field,2)
 
@@ -1299,6 +1294,6 @@
     !IF (.NOT.clef_stations(iff)) THEN
     IF(.TRUE.)THEN
-        ALLOCATE(index3d(iim*jj_nb*nlev))
-        ALLOCATE(fieldok(iim*jj_nb,nlev))
+        ALLOCATE(index3d(nbp_lon*jj_nb*nlev))
+        ALLOCATE(fieldok(nbp_lon*jj_nb,nlev))
         CALL xios_send_field(field_name, Field3d(:,:,1:nlev))
                         
Index: /LMDZ5/branches/testing/libf/phylmd/iostart.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/iostart.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/iostart.F90	(revision 2408)
@@ -41,5 +41,5 @@
         write(6,*)' Pb d''ouverture du fichier '//filename
         write(6,*)' ierr = ', ierr
-        CALL ABORT_GCM("", "", 1)
+        CALL abort_physic("", "", 1)
       ENDIF
     ENDIF
@@ -166,5 +166,5 @@
       IF (.NOT. tmp_found) THEN
         PRINT*, 'phyetat0: Le champ <'//field_name//'> est absent'
-        call abort_gcm("", "", 1)
+        call abort_physic("", "", 1)
       ENDIF
     ENDIF
@@ -186,10 +186,10 @@
               IF (ierr/=NF90_NOERR) THEN
                  PRINT*, 'phyetat0: Lecture echouee aussi en 2D pour <'//field_name//'>'
-                 call abort_gcm("", "", 1)
+                 call abort_physic("", "", 1)
               ELSE
                  PRINT*, 'phyetat0: La variable <'//field_name//'> lu sur surface seulement'!, selon ancien format, le reste mis a zero'
               END IF
            ELSE
-              call abort_gcm("", "", 1)
+              call abort_physic("", "", 1)
            ENDIF
          ENDIF
@@ -282,5 +282,5 @@
         IF (ierr/=NF90_NOERR) THEN
           PRINT*, 'phyetat0: Lecture echouee pour <'//var_name//'>'
-          call abort_gcm("", "", 1)
+          call abort_physic("", "", 1)
         ENDIF
         tmp_found=.TRUE.
@@ -302,5 +302,5 @@
       IF (.NOT. tmp_found) THEN
         PRINT*, 'phyetat0: La variable champ <'//var_name//'> est absente'
-        call abort_gcm("", "", 1)
+        call abort_physic("", "", 1)
       ENDIF
     ENDIF
@@ -323,5 +323,5 @@
         write(6,*)' Pb d''ouverture du fichier '//filename
         write(6,*)' ierr = ', ierr
-        CALL ABORT_GCM("", "", 1)
+        CALL abort_physic("", "", 1)
       ENDIF
 
@@ -410,5 +410,5 @@
       ELSE
         PRINT *, "erreur phyredem : probleme de dimension"
-        CALL ABORT_GCM("", "", 1)
+        CALL abort_physic("", "", 1)
       ENDIF
          
@@ -487,5 +487,5 @@
       IF (var_size/=length) THEN
         PRINT *, "erreur phyredem : probleme de dimension"
-        call abort_gcm("", "", 1)
+        call abort_physic("", "", 1)
       ENDIF
       
Index: /LMDZ5/branches/testing/libf/phylmd/limit_read_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/limit_read_mod.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/limit_read_mod.F90	(revision 2408)
@@ -151,6 +151,4 @@
     IMPLICIT NONE
     
-    INCLUDE "iniprint.h"
-
 ! In- and ouput arguments
 !****************************************************************************************
@@ -195,10 +193,10 @@
        IF ( type_ocean /= 'couple' ) THEN
           ALLOCATE(pctsrf(klon,nbsrf), sst(klon), stat=ierr)
-          IF (ierr /= 0) CALL abort_gcm(modname, 'PB in allocating pctsrf and sst',1)
+          IF (ierr /= 0) CALL abort_physic(modname, 'PB in allocating pctsrf and sst',1)
        END IF
 
        IF ( .NOT. ok_veget ) THEN
           ALLOCATE(rugos(klon), albedo(klon), stat=ierr)
-          IF (ierr /= 0) CALL abort_gcm(modname, 'PB in allocating rugos and albedo',1)
+          IF (ierr /= 0) CALL abort_physic(modname, 'PB in allocating rugos and albedo',1)
        END IF
 
@@ -220,5 +218,5 @@
 
           ierr = NF90_OPEN ('limit.nc', NF90_NOWRITE, nid)
-          IF (ierr /= NF90_NOERR) CALL abort_gcm(modname,&
+          IF (ierr /= NF90_NOERR) CALL abort_physic(modname,&
                'Pb d''ouverture du fichier de conditions aux limites',1)
           
@@ -239,15 +237,15 @@
 ! Ocean fraction
              ierr = NF90_INQ_VARID(nid, 'FOCE', nvarid)
-             IF (ierr /= NF90_NOERR) CALL abort_gcm(modname, 'Le champ <FOCE> est absent',1)
+             IF (ierr /= NF90_NOERR) CALL abort_physic(modname, 'Le champ <FOCE> est absent',1)
              
              ierr = NF90_GET_VAR(nid,nvarid,pct_glo(:,is_oce),start,epais)
-             IF (ierr /= NF90_NOERR) CALL abort_gcm(modname,'Lecture echouee pour <FOCE>' ,1)
+             IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Lecture echouee pour <FOCE>' ,1)
 !
 ! Sea-ice fraction
              ierr = NF90_INQ_VARID(nid, 'FSIC', nvarid)
-             IF (ierr /= NF90_NOERR) CALL abort_gcm(modname,'Le champ <FSIC> est absent',1)
+             IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Le champ <FSIC> est absent',1)
 
              ierr = NF90_GET_VAR(nid,nvarid,pct_glo(:,is_sic),start,epais)
-             IF (ierr /= NF90_NOERR) CALL abort_gcm(modname,'Lecture echouee pour <FSIC>' ,1)
+             IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Lecture echouee pour <FSIC>' ,1)
 
 
@@ -257,15 +255,15 @@
 ! Land fraction
                 ierr = NF90_INQ_VARID(nid, 'FTER', nvarid)
-                IF (ierr /= NF90_NOERR) CALL abort_gcm(modname,'Le champ <FTER> est absent',1)
+                IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Le champ <FTER> est absent',1)
                 
                 ierr = NF90_GET_VAR(nid,nvarid,pct_glo(:,is_ter),start,epais)
-                IF (ierr /= NF90_NOERR) CALL abort_gcm(modname,'Lecture echouee pour <FTER>',1)
+                IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Lecture echouee pour <FTER>',1)
 !
 ! Continentale ice fraction
                 ierr = NF90_INQ_VARID(nid, 'FLIC', nvarid)
-                IF (ierr /= NF90_NOERR) CALL abort_gcm(modname,'Le champ <FLIC> est absent',1)
+                IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Le champ <FLIC> est absent',1)
 
                 ierr = NF90_GET_VAR(nid,nvarid,pct_glo(:,is_lic),start,epais)
-                IF (ierr /= NF90_NOERR) CALL abort_gcm(modname,'Lecture echouee pour <FLIC>',1)
+                IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Lecture echouee pour <FLIC>',1)
              END IF
 
@@ -279,8 +277,8 @@
 
              ierr = NF90_INQ_VARID(nid, 'SST', nvarid)
-             IF (ierr /= NF90_NOERR) CALL abort_gcm(modname,'Le champ <SST> est absent',1)
+             IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Le champ <SST> est absent',1)
 
              ierr = NF90_GET_VAR(nid,nvarid,sst_glo,start,epais)
-             IF (ierr /= NF90_NOERR) CALL abort_gcm(modname,'Lecture echouee pour <SST>',1)
+             IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Lecture echouee pour <SST>',1)
           
           END IF
@@ -295,15 +293,15 @@
 ! Read albedo
              ierr = NF90_INQ_VARID(nid, 'ALB', nvarid)
-             IF (ierr /= NF90_NOERR) CALL abort_gcm(modname,'Le champ <ALB> est absent',1)
+             IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Le champ <ALB> est absent',1)
 
              ierr = NF90_GET_VAR(nid,nvarid,alb_glo,start,epais)
-             IF (ierr /= NF90_NOERR) CALL abort_gcm(modname,'Lecture echouee pour <ALB>',1)
+             IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Lecture echouee pour <ALB>',1)
 !
 ! Read rugosity
              ierr = NF90_INQ_VARID(nid, 'RUG', nvarid)
-             IF (ierr /= NF90_NOERR) CALL abort_gcm(modname,'Le champ <RUG> est absent',1)
+             IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Le champ <RUG> est absent',1)
 
              ierr = NF90_GET_VAR(nid,nvarid,rug_glo,start,epais)
-             IF (ierr /= NF90_NOERR) CALL abort_gcm(modname,'Lecture echouee pour <RUG>',1)
+             IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Lecture echouee pour <RUG>',1)
 
           END IF
@@ -314,5 +312,5 @@
 !****************************************************************************************
           ierr = NF90_CLOSE(nid)
-          IF (ierr /= NF90_NOERR) CALL abort_gcm(modname,'Pb when closing file', 1)
+          IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Pb when closing file', 1)
        ENDIF ! is_mpi_root
 
